<script language="javascript" src="Modules/operadores_moviles/js_operadores_moviles.js"></script>
<style>
</style>
<?php
   $uri ='Modules/operadores_moviles/operadores_moviles.php';
   include_once($uri);
   
   $operadores_moviles_sin_lj = new operadores_moviles('');
   $operadores_moviles_sin_lj_array = $operadores_moviles_sin_lj->GetOperadoresMovilesSinLJ();   
   
   $sucursales = new operadores_moviles('');
   $sucursales_array = $sucursales->GetSucursales(); 
   
   $distritos = new operadores_moviles('');
   $distritos_array = $distritos->GetDistritos(); 
   
   $zonas = new operadores_moviles('');
   $zonas_array = $zonas->GetZonas(); 
   
   $configuraciones_sucursales = new operadores_moviles('');
   $trabaja_sucursales = $configuraciones_sucursales->GetConfiguraciones('TrabajaSucursales');
   
   $configuraciones_distritos = new operadores_moviles('');
   $trabaja_distritos = $configuraciones_distritos->GetConfiguraciones('TrabajaDistritos');
   
   $configuraciones_zonas = new operadores_moviles('');
   $trabaja_zonas = $configuraciones_zonas->GetConfiguraciones('TrabajaZonas');
   
   if($trabaja_zonas==1)
   	$ultimoId=3;
   else if($trabaja_distritos==1)
   	$ultimoId=2;
   else 
   	$ultimoId=1;
	
   $operadores_moviles = new operadores_moviles('');
   $operadores_moviles_array = $operadores_moviles->GetOperadoresMoviles($ultimoId); 
   
   $sucursales_asociadas_por_operador = new operadores_moviles('');
   $sucursales_asociadas_array = $sucursales_asociadas_por_operador->GetSucursalesAsociadasPorOperador($_SESSION['operador_sesion']['OperadorMonitorID']);	
   
   
   $pedidos_permisos = new operadores_moviles();
   $permisos_array = $pedidos_permisos->GetPermisosByModulo('Operadores Moviles',$_SESSION['operador_sesion']['OperadorMonitorID']);
   

   
if($permisos_array["Lectura"]==0){?>
<div class="notfoundpanel">
   <h3>Acceso denegado!</h3>
   <h4>Usted no posee los permisos necesarios para acceder a esta página</h4>
</div>
<!-- notfoundpanel -->
<?php
   }else{ 
?>
<div class="pageheader">
   <h2><i class="glyphicon glyphicon-shopping-cart"></i> Operadores Móviles</h2>
   <div class="breadcrumb-wrapper">
      <ol class="breadcrumb">
         <li><a href="index.php">Monitor Web</a></li>
         <li class="active">Operadores Móviles</li>
      </ol>
   </div>
</div>
<?php if($permisos_array["Insercion"]==1){ ?>
<div class="panel panel-default">
   <div class="panel-body">
      <!-- Button trigger modal -->
      <button class="btn btn-primary btn-xs" data-toggle="modal" data-target="#agregar_modal">
      
      Agregar Operador Móvil
      </button>
      <div id="resultado">
      </div>
   </div>
</div>
<?php } ?>
    <div class="contentpanel">
       <?php if(isset($_SESSION['exito'])){ ?>
       <div class="alert alert-success">
        <strong>Correcto!</strong><?php echo $_SESSION['exito']; ?>
       </div>
       <?php } 
       unset($_SESSION['exito']);
       ?>
       <div class="panel panel-default">
          <div class="panel-body">
             <div class="table-responsive">
                <table class="table" id="operadores_moviles">
                   <thead>
                      <tr>
                         <th>Acciones</th>
                         <th>Operador Móvil</th>
                         <th>Localización Jerárquica</th>
                      </tr>
                   </thead>
                   <tbody>               	
                     <?php  foreach ($operadores_moviles_array as &$v_operadores_moviles) {?>
                     <tr>
                              <td class="table-action">
                                <?php if($permisos_array["Modificacion"]==1) {?>
                                   <a title="Editar" data-toggle="modal" data-target="#editar_modal_<?php echo $v_operadores_moviles['NroOperadorMovil']?>" href="#"><i class="fa fa-pencil"></i></a>
                                <?php }?>    
                                <?php if($permisos_array["Eliminacion"]==1) {?>  
                                   <a title="Eliminar" data-toggle="modal" data-target="#confirmDelete_<?php echo $v_operadores_moviles['NroOperadorMovil']?>" href="#"><i class="fa fa-trash-o"></i></a>
                                <?php }?>
                              </td>
                              <td align="center"><?php echo $v_operadores_moviles['NombreApellido'];?></td>
                              <td align="center"><?php echo $v_operadores_moviles['Descripcion'];?></td>
                     </tr>
                    <?php } ?>             
                   </tbody>
                </table>
             </div>
             <!-- table-responsive -->
          </div>
          <!-- panel-body -->
       </div>
       <input type="hidden" id="ultimo_id" value="<?php echo $ultimoId; ?>"/>   
    </div>
    <!-- contentpanel -->
    
    <!-- Formulario -->	
		<?php include('Modules/operadores_moviles/frm_operadores_moviles.php') ?>
    <!-- Formulario -->	 



<?php } ?>